Cannot install roxterm

Post Reply
macondo
Posts: 90
Joined: 16. Jun 2011, 02:08

Cannot install roxterm

Post by macondo » 26. Nov 2016, 16:03

It gives me this error:

Code: Select all

fakeroot -- sh roxterm.SlackBuild Failed
Last edited by macondo on 1. Dec 2016, 16:35, edited 1 time in total.

User avatar
gapan
Salix Wizard
Posts: 5341
Joined: 6. Jun 2009, 17:40

Re: Cannot install roxterm

Post by gapan » 26. Nov 2016, 16:39

That line is not enough for anyone to determine what went wrong. You needed to post more of the output.

Anyway, if you wait 24hours max, a roxterm package will be available in the repos, so wait and you will be able to get it with slapt-get/gslapt.
Image
Image

macondo
Posts: 90
Joined: 16. Jun 2011, 02:08

Re: Cannot install roxterm

Post by macondo » 27. Nov 2016, 16:30

Ok, thanks...

macondo
Posts: 90
Joined: 16. Jun 2011, 02:08

Re: Cannot install roxterm

Post by macondo » 1. Dec 2016, 16:37

gapan wrote:That line is not enough for anyone to determine what went wrong. You needed to post more of the output.

Anyway, if you wait 24hours max, a roxterm package will be available in the repos, so wait and you will be able to get it with slapt-get/gslapt.
It's been a few days, still the problem persist. Roxterm cannot be installed.

Code: Select all

MaitchChildError: Rule '/usr/bin/xsltproc -o roxterm.1 --nonet --novalid --param man.charmap.use.subset 0 http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl /usr/src/slapt-src/system/roxterm/roxterm-2.9.7/build/roxterm.1.xml ' failed

fakeroot -- sh roxterm.SlackBuild Failed

User avatar
gapan
Salix Wizard
Posts: 5341
Joined: 6. Jun 2009, 17:40

Re: Cannot install roxterm

Post by gapan » 1. Dec 2016, 21:13

Read my previous post. Carefully this time.
Image
Image

macondo
Posts: 90
Joined: 16. Jun 2011, 02:08

Re: Cannot install roxterm

Post by macondo » 20. Dec 2016, 13:58

I installed linuxdoc-tools as per lapsrjns: viewtopic.php?f=32&t=7168
thanks lapsrjns :)

and then launched it; it gave me this new error:

Code: Select all

error while loading shared libraries: libudev.so.0: cannot open shared object file: No such file or directory

User avatar
gapan
Salix Wizard
Posts: 5341
Joined: 6. Jun 2009, 17:40

Re: Cannot install roxterm

Post by gapan » 30. Dec 2016, 10:48

You still haven't read my first reply. The solution is right there. Use slapt-get.
Image
Image

djemos
Salix Warrior
Posts: 1028
Joined: 29. Dec 2009, 13:45
Location: Greece

Re: Cannot install roxterm

Post by djemos » 30. Jan 2017, 12:57

edit slapt-getrc

Code: Select all

sudo geany /etc/slapt-get/slapt-getrc
add this line

Code: Select all

SOURCE=http://download.salixos.org/x86_64/extra-14.2/:PREFERRED
save the file
and

Code: Select all

sudo slapt-get -u 
sudo slapt-get -i roxterm
you are OK.

Post Reply